org.apache.tinkerpop.gremlin.groovy.jsr223.dsl.credential

## Class CredentialGraphTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.dsl.credential.CredentialGraphTest

-     public class CredentialGraphTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialGraphTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldCountUsers()`
    `void` | `shouldCreateUser()`
    `void` | `shouldFindUser()`
    `void` | `shouldNotFindUser()`
    `void` | `shouldNotRemoveUser()`
    `void` | `shouldRemoveUser()`
    `void` | `shouldThrowIfFindingMultipleUsers()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialGraphTest

          public CredentialGraphTest()

  - ### Method Detail

    - #### shouldCreateUser

          public void shouldCreateUser()

    - #### shouldRemoveUser

          public void shouldRemoveUser()

    - #### shouldNotRemoveUser

          public void shouldNotRemoveUser()

    - #### shouldFindUser

          public void shouldFindUser()

    - #### shouldNotFindUser

          public void shouldNotFindUser()

    - #### shouldCountUsers

          public void shouldCountUsers()

    - #### shouldThrowIfFindingMultipleUsers

          public void shouldThrowIfFindingMultipleUsers()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.